Page MenuHomePhabricator

Archive "BlueSpiceUserPreferences" extension
Closed, ResolvedPublic

Description

BlueSpiceUserPreferences is not in use anymore and should be archived

BlueSpiceUserPreferences relies on a deprecated function:

BlueSpiceUserPreferences BsConfig::getRegisteredVars was deprecated in MediaWiki 3.0.0.
[Called from UserPreferences::onUserGetDefaultOptions
 in /workspace/src/extensions/BlueSpiceUserPreferences/UserPreferences.class.php at line 213]

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project (BlueSpice I guess?) as a tag for this task, or MediaWiki-extensions-Other if there is no project.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:UserPreferences maybe?)
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item associated with documentation page (Q6805426)
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD (date that you decided to archive extension generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
    • Archive Phabricator project for the extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project description for the extension with a link to this ticket.
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories

Details

Related Gerrit Patches:
mediawiki/extensions : masterRemove BlueSpiceUserPreferences
mediawiki/extensions/BlueSpiceUserPreferences : masterArchive the BlueSpiceUserPreferences extension
mediawiki/extensions/BlueSpiceUserPreferences : masterAdd README and remove files
translatewiki : masterComment out Blue Spice User Preferences

Event Timeline

hashar triaged this task as Normal priority.Jun 21 2018, 8:27 PM
hashar created this task.
Vvjjkkii renamed this task from BlueSpiceUserPreferences: BsConfig::getRegisteredVars was deprecated to 5haaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 5haaaaaaaa to BlueSpiceUserPreferences: BsConfig::getRegisteredVars was deprecated.Jul 2 2018, 11:13 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Pwirth renamed this task from BlueSpiceUserPreferences: BsConfig::getRegisteredVars was deprecated to Archive BlueSpiceUserPreferences.Aug 6 2018, 8:02 AM
Pwirth updated the task description. (Show Details)
Pwirth renamed this task from Archive BlueSpiceUserPreferences to Archive "BlueSpiceUserPreferences" extension.Aug 6 2018, 8:09 AM
Pwirth added projects: Cleanup, Repository-Admins.
Umherirrender added a subscriber: Umherirrender.

It is okay from BlueSpice-Team to archive this extension? I am not sure from the changes if that is in mind of blue spice

Pwirth added a comment.EditedAug 8 2018, 5:50 AM

@Umherirrender: Yes, maybe archive is a bit to much, as the REL1_27 and REL1_23 branches of this extension are still in use by BS 2.23.* and BS 2.27.* Is there a better way to handle this?

Change 451242 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[translatewiki@master] Remove Blue Spice User Preferences

https://gerrit.wikimedia.org/r/451242

When the code of release branch is used and may need security updates the repo should be kept.

I would remove the extension from translatewiki and add a readme to the repo. Than the release branches stay active, but nobody found the code for maintenance purpose

Change 451243 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/BlueSpiceUserPreferences@master] Add README and remove files

https://gerrit.wikimedia.org/r/451243

Dinoguy1000 updated the task description. (Show Details)Aug 8 2018, 9:07 AM
Dinoguy1000 added a subscriber: Dinoguy1000.

I've added the "standard" archival checklist from Cleanup, please feel free to strikeout/remove items that are inapplicable or should not be done.

Change 451242 merged by jenkins-bot:
[translatewiki@master] Comment out Blue Spice User Preferences

https://gerrit.wikimedia.org/r/451242

Change 451243 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceUserPreferences@master] Add README and remove files

https://gerrit.wikimedia.org/r/451243

Zoranzoki21 updated the task description. (Show Details)
Dinoguy1000 updated the task description. (Show Details)Aug 11 2019, 10:53 PM
MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.Aug 23 2019, 7:57 PM

Change 533636 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/BlueSpiceUserPreferences@master] Archive the BlueSpiceUserPreferences extension

https://gerrit.wikimedia.org/r/533636

Change 533636 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceUserPreferences@master] Archive the BlueSpiceUserPreferences extension

https://gerrit.wikimedia.org/r/533636

D3r1ck01 updated the task description. (Show Details)Aug 31 2019, 10:36 PM
D3r1ck01 updated the task description. (Show Details)Aug 31 2019, 10:39 PM
Zoranzoki21 updated the task description. (Show Details)Sep 1 2019, 11:47 AM

Change 545853 had a related patch set uploaded (by Pwirth; owner: Pwirth):
[integration/config@master] Remove Archived extension BlueSpiceUserPreferences. T197898

https://gerrit.wikimedia.org/r/545853

Change 545853 merged by jenkins-bot:
[integration/config@master] Remove Archived extension BlueSpiceUserPreferences. T197898

https://gerrit.wikimedia.org/r/545853

Change 546261 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Remove BlueSpiceUserPreferences

https://gerrit.wikimedia.org/r/546261

Change 546261 merged by Umherirrender:
[mediawiki/extensions@master] Remove BlueSpiceUserPreferences

https://gerrit.wikimedia.org/r/546261

Can anyone please delete mirror on GitHub and archive repository here? @MarcoAurelio?

MarcoAurelio closed this task as Resolved.Sun, Nov 17, 7:56 PM
MarcoAurelio removed a project: Patch-For-Review.
MarcoAurelio updated the task description. (Show Details)